package com.falcon.core;

import com.falcon.core.binding.BindingConfig;
import com.falcon.core.exception.FalconCoreException;

import java.util.Set;

/**
 * @author Charlie
 *         Date: 02-Apr-2006
 *         Time: 18:32:37
 */
public interface FalconRunner {

    public Object getObject(String dtName) throws FalconCoreException;

    public Object getObject(String dtName, Set<? extends Object> startObject) throws FalconCoreException;

    public Object getObjectOut(String dtName) throws FalconCoreException;

    public BindingConfig getCurrentBindingConfig();

    public void overrideCurrentBindingConfig(BindingConfig conf);

}
